Skip Navigation

Open

Reported for: Gravity Forms Multilingual 1.6.2

Overview of the issue

There is a conflict between Gravity Forms Populate Anything and Gravity Forms Multilingual. This means Gravity Forms Populate Anything is not able to populate data when both are activated.

Workaround

Please be sure to make a full backup of your site before proceeding.

  1. Edit your theme functions.php file.
  2. Add the following code:
    function gfml_gp_populate_anything_fix() {
    	if (defined('DOING_AJAX') && !empty($_GET['action']) && strpos($_GET['action'], 'gppa_') !== false) {
    		global $wpml_gfml_tm_api;
    		remove_filter( 'gform_pre_render', [ $wpml_gfml_tm_api, 'gform_pre_render' ], 10 );
    	}
    }
    add_filter( 'init', 'gfml_gp_populate_anything_fix' );
    

Next steps to resolve this issue

We’ve reached out to the author of this plugin for a permanent fix. It can only help push things along if you let their team know about your interest in this fix, too, by leaving a comment on this blog post.

Leave a Reply

Please stay on topic and be respectful to others. If you need help with issues not related to this post, use our Support Forum to start a chat or submit a ticket.

You can use these tags:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>